## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel.util
Class IngressqlmodelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.enablement.ingres.models.ingressqlmodel.util.IngressqlmodelAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class IngressqlmodelAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `IngressqlmodelPackage`

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`IngressqlmodelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createDerivedTableAdapter()` Creates a new adapter for an object of class '`Derived Table`'.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createIdentitySpecifierAdapter()` Creates a new adapter for an object of class '`Identity Specifier`'.
`org.eclipse.emf.common.notify.Adapter` `createIngresDBEventAdapter()` Creates a new adapter for an object of class '`Ingres DB Event`'.
`org.eclipse.emf.common.notify.Adapter` `createIngresIdentitySpecifierAdapter()` Creates a new adapter for an object of class '`Ingres Identity Specifier`'.
`org.eclipse.emf.common.notify.Adapter` `createIngresSchemaAdapter()` Creates a new adapter for an object of class '`Ingres Schema`'.
`org.eclipse.emf.common.notify.Adapter` `createIngresSynonymAdapter()` Creates a new adapter for an object of class '`Ingres Synonym`'.
`org.eclipse.emf.common.notify.Adapter` `createIngresTriggerAdapter()` Creates a new adapter for an object of class '`Ingres Trigger`'.
`org.eclipse.emf.common.notify.Adapter` `createIngresViewTableAdapter()` Creates a new adapter for an object of class '`Ingres View Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSchemaAdapter()` Creates a new adapter for an object of class '`Schema`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createTableAdapter()` Creates a new adapter for an object of class '`Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTriggerAdapter()` Creates a new adapter for an object of class '`Trigger`'.
`org.eclipse.emf.common.notify.Adapter` `createViewTableAdapter()` Creates a new adapter for an object of class '`View Table`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### IngressqlmodelAdapterFactory

    public IngressqlmodelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createIngresSynonymAdapter

    public org.eclipse.emf.common.notify.Adapter createIngresSynonymAdapter()

  Creates a new adapter for an object of class '`Ingres Synonym`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IngresSynonym`

### createIngresDBEventAdapter

    public org.eclipse.emf.common.notify.Adapter createIngresDBEventAdapter()

  Creates a new adapter for an object of class '`Ingres DB Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IngresDBEvent`

### createIngresSchemaAdapter

    public org.eclipse.emf.common.notify.Adapter createIngresSchemaAdapter()

  Creates a new adapter for an object of class '`Ingres Schema`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IngresSchema`

### createIngresViewTableAdapter

    public org.eclipse.emf.common.notify.Adapter createIngresViewTableAdapter()

  Creates a new adapter for an object of class '`Ingres View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IngresViewTable`

### createIngresTriggerAdapter

    public org.eclipse.emf.common.notify.Adapter createIngresTriggerAdapter()

  Creates a new adapter for an object of class '`Ingres Trigger`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IngresTrigger`

### createIngresIdentitySpecifierAdapter

    public org.eclipse.emf.common.notify.Adapter createIngresIdentitySpecifierAdapter()

  Creates a new adapter for an object of class '`Ingres Identity Specifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IngresIdentitySpecifier`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createSchemaAdapter

    public org.eclipse.emf.common.notify.Adapter createSchemaAdapter()

  Creates a new adapter for an object of class '`Schema`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Schema`

### createTableAdapter

    public org.eclipse.emf.common.notify.Adapter createTableAdapter()

  Creates a new adapter for an object of class '`Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Table`

### createDerivedTableAdapter

    public org.eclipse.emf.common.notify.Adapter createDerivedTableAdapter()

  Creates a new adapter for an object of class '`Derived Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DerivedTable`

### createViewTableAdapter

    public org.eclipse.emf.common.notify.Adapter createViewTableAdapter()

  Creates a new adapter for an object of class '`View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ViewTable`

### createTriggerAdapter

    public org.eclipse.emf.common.notify.Adapter createTriggerAdapter()

  Creates a new adapter for an object of class '`Trigger`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Trigger`

### createIdentitySpecifierAdapter

    public org.eclipse.emf.common.notify.Adapter createIdentitySpecifierAdapter()

  Creates a new adapter for an object of class '`Identity Specifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IdentitySpecifier`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.